For the complete documentation index, see llms.txt. This page is also available as Markdown.

Documents

Documents - Document Summary

Documents are based on CDTs - we have one common system CDT (formation) with name “_document_summary” and all document types will be created with a “link” to this summary. So relation between Document Summary Record and Document Type Record is one-to-one.

“_document_summary” can’t be edited.

“_document_summary” has such fields set by default: - type - it’s the “link” between summary and document types - each created document type will be shown in this list like option. By default, we have 3 document types: Assessment (name - doc-type-assessment), Docusign (name - doc-type-docusign) and Others (name - doc-type-others). - files - for storing document files. Currently, users can upload only jpg, jpeg, png and pdf files.

Document Summary Record folder

Contains requests for creating a document record and uploading files to it

Document Records folder

Contains requests to populate custom fields that can be created in the Designer for document types

Get all Documents Summary Records

get

HTTP Method: GET

  1. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary

  2. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Query parameters
sourceIdstring · uuidOptional

Used for filtering by source id

Responses
200

Paginated document summary records

application/json
namestringOptional
get/{tenantName}/{instanceName}/patients/{patientId}/document-summary
GET /{tenantName}/{instanceName}/patients/{patientId}/document-summary HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "data": {
    "content": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "patientId": "123e4567-e89b-12d3-a456-426614174000",
        "cdtId": "123e4567-e89b-12d3-a456-426614174000",
        "version": 1,
        "cdtName": "text",
        "jsonBody": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    ],
    "pageable": {
      "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
      },
      "pageSize": 1,
      "pageNumber": 1,
      "offset": 1,
      "unpaged": true,
      "paged": true
    },
    "totalElements": 1,
    "totalPages": 1,
    "last": true,
    "first": true,
    "number": 1,
    "size": 1,
    "numberOfElements": 1,
    "empty": true,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  }
}

Create Document Summary Record

post

Request to create a Document Summary Record. The type is the type of the document we are adding to the patient (the name can be taken from the Designer). In the request response you will need to get the id to create a record in this Document Summary

HTTP Method: POST

  1. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/

  2. HTTP Response Codes: 201

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Body

Fields as defined by the _document_summary CDT. type links the summary to a document type.

typestring · enumRequired

Default document types are always present; tenants may add custom ones.

Possible values:
Other propertiesanyOptional
Responses
201

Document summary record created

application/json
idstring · uuidOptional
patientIdstring · uuidOptional
cdtIdstring · uuidOptional
versionintegerOptional
cdtNamestringOptional
post/{tenantName}/{instanceName}/patients/{patientId}/document-summary
POST /{tenantName}/{instanceName}/patients/{patientId}/document-summary HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 193

{
  "type": "doc-type-docusign",
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "text",
      "size": 1,
      "contentType": "text",
      "storageKey": "text"
    }
  ],
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "cdtId": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "cdtName": "text",
  "jsonBody": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Get Document Summary Record By ID

get

HTTP Method: GET

  1. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741

  2. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstringRequired

id path parameter

Body
typestringOptionalExample: others
Responses
200

Document summary record. Pass ?signedUrls=true to get signed file URLs.

application/json
idstring · uuidOptional
patientIdstring · uuidOptional
cdtIdstring · uuidOptional
versionintegerOptional
cdtNamestringOptional
get/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}
GET /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "type": "others"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "cdtId": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "cdtName": "text",
  "jsonBody": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Update Document Summary Record

put

A request to delete files added to the Document Summary Record.

The id should be the id of the Document Summary from the Create Document Summary Record request.

The body contains information about the type of document that was specified at creation, as well as a list of files to be saved for this record. Other files (which are not passed in the body of the request) will be deleted.

Information about files in the record can be obtained from the Get Document Summary Record By ID or Get all Documents Summary Records requests.

  1. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741

  2. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstringRequired

id path parameter

Body

Fields as defined by the _document_summary CDT.

Other propertiesanyOptional
Responses
200

Updated document summary record

application/json
idstring · uuidOptional
patientIdstring · uuidOptional
cdtIdstring · uuidOptional
versionintegerOptional
cdtNamestringOptional
put/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}
PUT /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "cdtId": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "cdtName": "text",
  "jsonBody": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Delete Document Summary Record

delete

Request to delete a Document Summary Record.

  1. HTTP Method: DELETE

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741

  3. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstringRequired

id path parameter

Body
typestringOptionalExample: others
Responses
200

Document summary record deleted

No content

delete/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}
DELETE /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "type": "others"
}

No content

Download Document Summary Record File

get
  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741/files/bcade721-fa3d-46fe-9013-d07033212c6a

  3. HTTP Response Codes: 200

  4. Content-Type is taken from file (e.g. image/png, image/jpeg)

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstringRequired

id path parameter

fileIdstring · uuidRequired

UUID of the uploaded file

Responses
200

Binary file content (supports HTTP Range requests).

No content

get/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/files/{fileId}
GET /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/files/{fileId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get Documents Record

get

Get Document Type Record

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741/doc-type-docusign

  3. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstring · uuidRequired

UUID of the document summary record

docTypestringRequired

docType path parameter

Body
namestringOptionalExample: x-ray Feb 4 2021
intintegerOptionalExample: 10
Responses
200

Document type record

application/json
idstring · uuidOptional
patientIdstring · uuidOptional
cdtIdstring · uuidOptional
versionintegerOptional
cdtNamestringOptional
get/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType}
GET /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "x-ray Feb 4 2021",
  "int": 10
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "cdtId": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "cdtName": "text",
  "jsonBody": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Create Document Record

post

A request to add custom fields to a Document Record. The request body contains the names of fields that are created in the Designer for this document type.

The id should be the id of the Document Summary from the Create Document Summary Record request

HTTP Method: POST

  1. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741/doc-type-docusign

  2. HTTP Response Codes: 201

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstring · uuidRequired

UUID of the document summary record

docTypestringRequired

Document type name (e.g. doc-type-others, doc-type-assessment)

Body

Fields as defined by the target document type's CDT. One document record per summary record (1:1).

Other propertiesanyOptional
Responses
201

Document type record created

application/json
idstring · uuidOptional
patientIdstring · uuidOptional
cdtIdstring · uuidOptional
versionintegerOptional
cdtNamestringOptional
post/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType}
POST /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "cdtId": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "cdtName": "text",
  "jsonBody": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Update Document Record

put

A request to edit custom fields in a Document Record. To edit a record, Document Record must first be created.

The request body contains the names of fields that are created in the Designer for this document type.

The id should be the id of the Document Summary from the Create Document Summary Record request

  1. HTTP Method: PUT

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741/doc-type-docusign

  3. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstring · uuidRequired

UUID of the document summary record

docTypestringRequired

Document type name (e.g. doc-type-others, doc-type-assessment)

Body

Fields as defined by the target document type's CDT.

Other propertiesanyOptional
Responses
200

Updated document type record

application/json
idstring · uuidOptional
patientIdstring · uuidOptional
cdtIdstring · uuidOptional
versionintegerOptional
cdtNamestringOptional
put/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType}
PUT /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "cdtId": "123e4567-e89b-12d3-a456-426614174000",
  "version": 1,
  "cdtName": "text",
  "jsonBody": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Delete Document Record

delete
  1. HTTP Method: DELETE

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/formations/current/document-types/doc-type-assessment

  3. HTTP Response Code: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstringRequired

id path parameter

docTypestringRequired

docType path parameter

Body
namestringOptionalExample: x-ray Feb 4 2021
intintegerOptionalExample: 10
Responses
200

Document type record deleted

No content

delete/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType}
DELETE /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/{docType} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "x-ray Feb 4 2021",
  "int": 10
}

No content

Upload Document Summary Record File

post

Request to add a document to the Document Summary Record. The id should be the id of the Document Summary from the Create Document Summary Record request

HTTP Method: POST

  1. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/patients/ee66e8e8-6ce1-40d3-b6cb-e5727c5347c8/document-summary/4a59584c-af30-49c4-8601-b43b4fbeb741/files

  2. HTTP Response Codes: 201

  3. Content-Type: multipart/form-data;

  4. Files should be with key “files” (few files allowed)

Allowed extensions: jpg, jpeg, png, pdf, doc, docx, xls, xlsx, csv, mp4. Max 10 files per request, 200MB total; per-file limit 25MB (200MB for pdf/mp4).

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

idstring · uuidRequired

UUID of the document summary record

Body
filesstring · binaryOptional
Responses
201

Uploaded files

application/json
idstring · uuidOptional
originalNamestringOptional
sizeintegerOptional

Bytes

contentTypestringOptional
storageKeystringOptional
post/{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/files
POST /{tenantName}/{instanceName}/patients/{patientId}/document-summary/{id}/files HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 18

{
  "files": "binary"
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "originalName": "text",
    "size": 1,
    "contentType": "text",
    "storageKey": "text"
  }
]

Last updated

Was this helpful?